<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <base th:href="${#request.getContextPath() + '/'}">
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="assets/fonts/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" href="assets/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="assets/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" type="text/css" href="assets/js/vendor/viewer/viewer.min.css">
</head>
<body>
    <form class="layui-form layui-form-pane" lay-filter="inputForm">
        <div class="layui-form-item" style="text-align: center;width:100% !important;font-size: 17px">
            <b>附加配置</b>
        </div>
        <div class="layui-form-item"  >
            <label class="layui-form-label">最大上传数<span style="color: red">*</span></label>
            <div class="layui-input-block">
                <input type="number" id="fileMaxNum" name="fileMaxNum" class="layui-input" value="" placeholder="请输入最大上传数"  maxlength="10">
            </div>
        </div>
    </form>
<script src="assets/js/vendor/wangEditor/wangEditor.min.js"></script>
<script src="assets/js/vendor/ckplayer/ckplayer/ckplayer.js"></script>
<script src="assets/js/vendor/viewer/viewer.min.js"></script>
<script src="assets/layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: 'assets/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'form', 'laydate', 'laytpl', 'table'], function(){
        var $ = layui.$;
        var form = layui.form;
        var $win = $(window);
        var laytpl = layui.laytpl;
        var table = layui.table;
        var laydate = layui.laydate;
        var id = top.restAjax.params(window.location.href).id;




        //alert(window.parent.aa)


        $('#fileMaxNum').bind('input', function(e) {
            var value = $(this).val();
            window.parent.setMapCustomData(id,'fileMaxNum',value);
        });



        // 初始化内容
        function initData() {
            var custom = window.parent.getMapCustomData(id);
            var fileMaxNum = custom.fileMaxNum;
            if(typeof(fileMaxNum) != "undefined" || fileMaxNum != null || fileMaxNum != ''){
                $("#fileMaxNum").val(fileMaxNum)
            }
        }
        initData();


        // 校验
        form.verify({





        });
    });
</script>
</body>
</html>